DVDRPControl (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class DVDRPControl

- java.lang.Object
- - siena.DVDRPControl

-     public class DVDRPControl
      extends java.lang.Object

  a command-line utility class that can be used to control a running `DVDRPDispatcher`. The complete syntax of the command-line options is:

  `DVDRPControl` router-address command [command options...]

  router-address is the address of the router. See `PacketReceiver.address()` for details on the format of router addresses.

  The following commands are available:

  `connect` <neighbor-identity> <neighbor-address> [link cost]
    instruct the router to connect to the given neighbor router. In this case, the router will add the neighbor to its tables and share routing information with it. An optional link cost can be specified. The default cost is 1.

    If the router is already connected to the given neighbor (identity), then this command can be used to modify the link-level address of the neighbor and and/or the corresponding link cost.

  `disconnect` neightbor-identity
    instruct the router to disconnect to the given neighbor router. This means that the router will remove the given neighbor from its tables.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVDRPControl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] argv)`
    `static void` | `process_command(java.lang.String[] tokens)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DVDRPControl

          public DVDRPControl()

  - ### Method Detail

    - #### process_command

          public static void process_command(java.lang.String[] tokens)

    - #### main

          public static void main(java.lang.String[] argv)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga